published on Thursday, Nov 5, 2026 by ibm-cloud
published on Thursday, Nov 5, 2026 by ibm-cloud
Create, update, and delete backup_recovery_vault_recovery_scans with this resource.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as ibm from "@pulumi/ibm";
const backupRecoveryVaultRecoveryScanInstance = new ibm.BackupRecoveryVaultRecoveryScan("backup_recovery_vault_recovery_scan_instance", {
cloudType: "ibm",
recoveryScanRequestParams: {
vaultId: 1,
},
xIbmTenantId: "tenantId",
});
import pulumi
import pulumi_ibm as ibm
backup_recovery_vault_recovery_scan_instance = ibm.BackupRecoveryVaultRecoveryScan("backup_recovery_vault_recovery_scan_instance",
cloud_type="ibm",
recovery_scan_request_params={
"vault_id": 1,
},
x_ibm_tenant_id="tenantId")
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/ibm/v2/ibm"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := ibm.NewBackupRecoveryVaultRecoveryScan(ctx, "backup_recovery_vault_recovery_scan_instance", &ibm.BackupRecoveryVaultRecoveryScanArgs{
CloudType: pulumi.String("ibm"),
RecoveryScanRequestParams: &ibm.BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs{
VaultId: pulumi.Float64(1),
},
XIbmTenantId: pulumi.String("tenantId"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Ibm = Pulumi.Ibm;
return await Deployment.RunAsync(() =>
{
var backupRecoveryVaultRecoveryScanInstance = new Ibm.BackupRecoveryVaultRecoveryScan("backup_recovery_vault_recovery_scan_instance", new()
{
CloudType = "ibm",
RecoveryScanRequestParams = new Ibm.Inputs.BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs
{
VaultId = 1,
},
XIbmTenantId = "tenantId",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.ibm.BackupRecoveryVaultRecoveryScan;
import com.pulumi.ibm.BackupRecoveryVaultRecoveryScanArgs;
import com.pulumi.ibm.inputs.BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var backupRecoveryVaultRecoveryScanInstance = new BackupRecoveryVaultRecoveryScan("backupRecoveryVaultRecoveryScanInstance", BackupRecoveryVaultRecoveryScanArgs.builder()
.cloudType("ibm")
.recoveryScanRequestParams(BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs.builder()
.vaultId(1.0)
.build())
.xIbmTenantId("tenantId")
.build());
}
}
resources:
backupRecoveryVaultRecoveryScanInstance:
type: ibm:BackupRecoveryVaultRecoveryScan
name: backup_recovery_vault_recovery_scan_instance
properties:
cloudType: ibm
recoveryScanRequestParams:
vaultId: 1
xIbmTenantId: tenantId
Example coming soon!
Create BackupRecoveryVaultRecoveryScan Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new BackupRecoveryVaultRecoveryScan(name: string, args: BackupRecoveryVaultRecoveryScanArgs, opts?: CustomResourceOptions);@overload
def BackupRecoveryVaultRecoveryScan(resource_name: str,
args: BackupRecoveryVaultRecoveryScanArgs,
opts: Optional[ResourceOptions] = None)
@overload
def BackupRecoveryVaultRecoveryScan(resource_name: str,
opts: Optional[ResourceOptions] = None,
cloud_type: Optional[str] = None,
x_ibm_tenant_id: Optional[str] = None,
backup_recovery_vault_recovery_scan_id: Optional[str] = None,
endpoint_type: Optional[str] = None,
instance_id: Optional[str] = None,
recovery_scan_request_params: Optional[BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs] = None,
region: Optional[str] = None,
service_name: Optional[str] = None)func NewBackupRecoveryVaultRecoveryScan(ctx *Context, name string, args BackupRecoveryVaultRecoveryScanArgs, opts ...ResourceOption) (*BackupRecoveryVaultRecoveryScan, error)public BackupRecoveryVaultRecoveryScan(string name, BackupRecoveryVaultRecoveryScanArgs args, CustomResourceOptions? opts = null)
public BackupRecoveryVaultRecoveryScan(String name, BackupRecoveryVaultRecoveryScanArgs args)
public BackupRecoveryVaultRecoveryScan(String name, BackupRecoveryVaultRecoveryScanArgs args, CustomResourceOptions options)
type: ibm:BackupRecoveryVaultRecoveryScan
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "ibm_backup_recovery_vault_recovery_scan" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args BackupRecoveryVaultRecoveryScanArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args BackupRecoveryVaultRecoveryScanArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args BackupRecoveryVaultRecoveryScanArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args BackupRecoveryVaultRecoveryScanArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args BackupRecoveryVaultRecoveryScanArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var backupRecoveryVaultRecoveryScanResource = new Ibm.BackupRecoveryVaultRecoveryScan("backupRecoveryVaultRecoveryScanResource", new()
{
CloudType = "string",
XIbmTenantId = "string",
BackupRecoveryVaultRecoveryScanId = "string",
EndpointType = "string",
InstanceId = "string",
RecoveryScanRequestParams = new Ibm.Inputs.BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs
{
VaultId = 0.0,
},
Region = "string",
ServiceName = "string",
});
example, err := ibm.NewBackupRecoveryVaultRecoveryScan(ctx, "backupRecoveryVaultRecoveryScanResource", &ibm.BackupRecoveryVaultRecoveryScanArgs{
CloudType: pulumi.String("string"),
XIbmTenantId: pulumi.String("string"),
BackupRecoveryVaultRecoveryScanId: pulumi.String("string"),
EndpointType: pulumi.String("string"),
InstanceId: pulumi.String("string"),
RecoveryScanRequestParams: &ibm.BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs{
VaultId: pulumi.Float64(0),
},
Region: pulumi.String("string"),
ServiceName: pulumi.String("string"),
})
resource "ibm_backup_recovery_vault_recovery_scan" "backupRecoveryVaultRecoveryScanResource" {
lifecycle {
create_before_destroy = true
}
cloud_type = "string"
x_ibm_tenant_id = "string"
backup_recovery_vault_recovery_scan_id = "string"
endpoint_type = "string"
instance_id = "string"
recovery_scan_request_params = {
vault_id = 0
}
region = "string"
service_name = "string"
}
var backupRecoveryVaultRecoveryScanResource = new BackupRecoveryVaultRecoveryScan("backupRecoveryVaultRecoveryScanResource", BackupRecoveryVaultRecoveryScanArgs.builder()
.cloudType("string")
.xIbmTenantId("string")
.backupRecoveryVaultRecoveryScanId("string")
.endpointType("string")
.instanceId("string")
.recoveryScanRequestParams(BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs.builder()
.vaultId(0.0)
.build())
.region("string")
.serviceName("string")
.build());
backup_recovery_vault_recovery_scan_resource = ibm.BackupRecoveryVaultRecoveryScan("backupRecoveryVaultRecoveryScanResource",
cloud_type="string",
x_ibm_tenant_id="string",
backup_recovery_vault_recovery_scan_id="string",
endpoint_type="string",
instance_id="string",
recovery_scan_request_params={
"vault_id": float(0),
},
region="string",
service_name="string")
const backupRecoveryVaultRecoveryScanResource = new ibm.BackupRecoveryVaultRecoveryScan("backupRecoveryVaultRecoveryScanResource", {
cloudType: "string",
xIbmTenantId: "string",
backupRecoveryVaultRecoveryScanId: "string",
endpointType: "string",
instanceId: "string",
recoveryScanRequestParams: {
vaultId: 0,
},
region: "string",
serviceName: "string",
});
type: ibm:BackupRecoveryVaultRecoveryScan
properties:
backupRecoveryVaultRecoveryScanId: string
cloudType: string
endpointType: string
instanceId: string
recoveryScanRequestParams:
vaultId: 0
region: string
serviceName: string
xIbmTenantId: string
BackupRecoveryVaultRecoveryScan Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The BackupRecoveryVaultRecoveryScan resource accepts the following input properties:
- Cloud
Type string - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- XIbm
Tenant stringId - Specifies the unique id of the tenant.
- Backup
Recovery stringVault Recovery Scan Id - Endpoint
Type string - public or private. Defaults to 'public' if not provided.
- Instance
Id string - The instnace ID of the Backup Recovery instance.
- Recovery
Scan BackupRequest Params Recovery Vault Recovery Scan Recovery Scan Request Params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- Region string
- The region of the Backup Recovery instance.
- Service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- Cloud
Type string - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- XIbm
Tenant stringId - Specifies the unique id of the tenant.
- Backup
Recovery stringVault Recovery Scan Id - Endpoint
Type string - public or private. Defaults to 'public' if not provided.
- Instance
Id string - The instnace ID of the Backup Recovery instance.
- Recovery
Scan BackupRequest Params Recovery Vault Recovery Scan Recovery Scan Request Params Args - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- Region string
- The region of the Backup Recovery instance.
- Service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud_
type string - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x_
ibm_ stringtenant_ id - Specifies the unique id of the tenant.
- backup_
recovery_ stringvault_ recovery_ scan_ id - endpoint_
type string - public or private. Defaults to 'public' if not provided.
- instance_
id string - The instnace ID of the Backup Recovery instance.
- recovery_
scan_ objectrequest_ params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region string
- The region of the Backup Recovery instance.
- service_
name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud
Type String - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x
Ibm StringTenant Id - Specifies the unique id of the tenant.
- backup
Recovery StringVault Recovery Scan Id - endpoint
Type String - public or private. Defaults to 'public' if not provided.
- instance
Id String - The instnace ID of the Backup Recovery instance.
- recovery
Scan BackupRequest Params Recovery Vault Recovery Scan Recovery Scan Request Params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region String
- The region of the Backup Recovery instance.
- service
Name String - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud
Type string - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x
Ibm stringTenant Id - Specifies the unique id of the tenant.
- backup
Recovery stringVault Recovery Scan Id - endpoint
Type string - public or private. Defaults to 'public' if not provided.
- instance
Id string - The instnace ID of the Backup Recovery instance.
- recovery
Scan BackupRequest Params Recovery Vault Recovery Scan Recovery Scan Request Params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region string
- The region of the Backup Recovery instance.
- service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud_
type str - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x_
ibm_ strtenant_ id - Specifies the unique id of the tenant.
- backup_
recovery_ strvault_ recovery_ scan_ id - endpoint_
type str - public or private. Defaults to 'public' if not provided.
- instance_
id str - The instnace ID of the Backup Recovery instance.
- recovery_
scan_ Backuprequest_ params Recovery Vault Recovery Scan Recovery Scan Request Params Args - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region str
- The region of the Backup Recovery instance.
- service_
name str - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud
Type String - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x
Ibm StringTenant Id - Specifies the unique id of the tenant.
- backup
Recovery StringVault Recovery Scan Id - endpoint
Type String - public or private. Defaults to 'public' if not provided.
- instance
Id String - The instnace ID of the Backup Recovery instance.
- recovery
Scan Property MapRequest Params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region String
- The region of the Backup Recovery instance.
- service
Name String - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
Outputs
All input properties are implicitly available as output properties. Additionally, the BackupRecoveryVaultRecoveryScan resource produces the following output properties:
Look up Existing BackupRecoveryVaultRecoveryScan Resource
Get an existing BackupRecoveryVaultRecoveryScan resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: BackupRecoveryVaultRecoveryScanState, opts?: CustomResourceOptions): BackupRecoveryVaultRecoveryScan@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
backup_recovery_vault_recovery_scan_id: Optional[str] = None,
cloud_type: Optional[str] = None,
endpoint_type: Optional[str] = None,
instance_id: Optional[str] = None,
recovery_scan_request_params: Optional[BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs] = None,
region: Optional[str] = None,
service_name: Optional[str] = None,
uid: Optional[str] = None,
x_ibm_tenant_id: Optional[str] = None) -> BackupRecoveryVaultRecoveryScanfunc GetBackupRecoveryVaultRecoveryScan(ctx *Context, name string, id IDInput, state *BackupRecoveryVaultRecoveryScanState, opts ...ResourceOption) (*BackupRecoveryVaultRecoveryScan, error)public static BackupRecoveryVaultRecoveryScan Get(string name, Input<string> id, BackupRecoveryVaultRecoveryScanState? state, CustomResourceOptions? opts = null)public static BackupRecoveryVaultRecoveryScan get(String name, Output<String> id, BackupRecoveryVaultRecoveryScanState state, CustomResourceOptions options)resources: _: type: ibm:BackupRecoveryVaultRecoveryScan get: id: ${id}import {
to = ibm_backup_recovery_vault_recovery_scan.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Backup
Recovery stringVault Recovery Scan Id - Cloud
Type string - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- Endpoint
Type string - public or private. Defaults to 'public' if not provided.
- Instance
Id string - The instnace ID of the Backup Recovery instance.
- Recovery
Scan BackupRequest Params Recovery Vault Recovery Scan Recovery Scan Request Params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- Region string
- The region of the Backup Recovery instance.
- Service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- Uid string
- (String) Specifies the unique id of the recovery scan.
- XIbm
Tenant stringId - Specifies the unique id of the tenant.
- Backup
Recovery stringVault Recovery Scan Id - Cloud
Type string - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- Endpoint
Type string - public or private. Defaults to 'public' if not provided.
- Instance
Id string - The instnace ID of the Backup Recovery instance.
- Recovery
Scan BackupRequest Params Recovery Vault Recovery Scan Recovery Scan Request Params Args - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- Region string
- The region of the Backup Recovery instance.
- Service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- Uid string
- (String) Specifies the unique id of the recovery scan.
- XIbm
Tenant stringId - Specifies the unique id of the tenant.
- backup_
recovery_ stringvault_ recovery_ scan_ id - cloud_
type string - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint_
type string - public or private. Defaults to 'public' if not provided.
- instance_
id string - The instnace ID of the Backup Recovery instance.
- recovery_
scan_ objectrequest_ params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region string
- The region of the Backup Recovery instance.
- service_
name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid string
- (String) Specifies the unique id of the recovery scan.
- x_
ibm_ stringtenant_ id - Specifies the unique id of the tenant.
- backup
Recovery StringVault Recovery Scan Id - cloud
Type String - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint
Type String - public or private. Defaults to 'public' if not provided.
- instance
Id String - The instnace ID of the Backup Recovery instance.
- recovery
Scan BackupRequest Params Recovery Vault Recovery Scan Recovery Scan Request Params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region String
- The region of the Backup Recovery instance.
- service
Name String - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid String
- (String) Specifies the unique id of the recovery scan.
- x
Ibm StringTenant Id - Specifies the unique id of the tenant.
- backup
Recovery stringVault Recovery Scan Id - cloud
Type string - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint
Type string - public or private. Defaults to 'public' if not provided.
- instance
Id string - The instnace ID of the Backup Recovery instance.
- recovery
Scan BackupRequest Params Recovery Vault Recovery Scan Recovery Scan Request Params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region string
- The region of the Backup Recovery instance.
- service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid string
- (String) Specifies the unique id of the recovery scan.
- x
Ibm stringTenant Id - Specifies the unique id of the tenant.
- backup_
recovery_ strvault_ recovery_ scan_ id - cloud_
type str - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint_
type str - public or private. Defaults to 'public' if not provided.
- instance_
id str - The instnace ID of the Backup Recovery instance.
- recovery_
scan_ Backuprequest_ params Recovery Vault Recovery Scan Recovery Scan Request Params Args - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region str
- The region of the Backup Recovery instance.
- service_
name str - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid str
- (String) Specifies the unique id of the recovery scan.
- x_
ibm_ strtenant_ id - Specifies the unique id of the tenant.
- backup
Recovery StringVault Recovery Scan Id - cloud
Type String - Specifies the cloud type where the vault is registered for recovery scan. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint
Type String - public or private. Defaults to 'public' if not provided.
- instance
Id String - The instnace ID of the Backup Recovery instance.
- recovery
Scan Property MapRequest Params - Specifies the parameters specific to the Backup and Recovery instance. which is the vault. Nested schema for recovery_scan_request_params:
- region String
- The region of the Backup Recovery instance.
- service
Name String - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid String
- (String) Specifies the unique id of the recovery scan.
- x
Ibm StringTenant Id - Specifies the unique id of the tenant.
Supporting Types
BackupRecoveryVaultRecoveryScanRecoveryScanRequestParams, BackupRecoveryVaultRecoveryScanRecoveryScanRequestParamsArgs
- Vault
Id double - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the recovery scan is to be initiated.
- Vault
Id float64 - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the recovery scan is to be initiated.
- vault_
id number - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the recovery scan is to be initiated.
- vault
Id Double - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the recovery scan is to be initiated.
- vault
Id number - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the recovery scan is to be initiated.
- vault_
id float - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the recovery scan is to be initiated.
- vault
Id Number - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the recovery scan is to be initiated.
Import
Not Supported
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- ibm ibm-cloud/terraform-provider-ibm
- License
- Notes
- This Pulumi package is based on the
ibmTerraform Provider.
published on Thursday, Nov 5, 2026 by ibm-cloud